jif.ast

## Class JifNew_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - polyglot.ast.Term_c
    - - polyglot.ast.Expr_c
      - - polyglot.ast.New_c
        - - jif.ast.JifNew_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, polyglot.ast.Expr, polyglot.ast.ExprOps, polyglot.ast.New, polyglot.ast.NewOps, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.ProcedureCall, polyglot.ast.ProcedureCallOps, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.TermOps, polyglot.ast.Typed, polyglot.util.Copy<polyglot.ast.Node>

  Deprecated.

      @Deprecated
      public class JifNew_c
      extends polyglot.ast.New_c
      implements polyglot.ast.New

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

    - ### Nested classes/interfaces inherited from interface polyglot.ast.Term

      `polyglot.ast.Term.Instance`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ast.New_c

      `anonType, arguments, body, ci, objectType, qualifier, qualifierImplicit`

    - ### Fields inherited from class polyglot.ast.Expr_c

      `type`

    - ### Fields inherited from class polyglot.ast.Term_c

      `exceptions, reachable`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifNew_c(polyglot.util.Position pos, polyglot.ast.Expr outer, polyglot.ast.TypeNode tn, java.util.List<polyglot.ast.Expr> arguments, polyglot.ast.ClassBody body)` Deprecated.
    `JifNew_c(polyglot.util.Position pos, polyglot.ast.Expr outer, polyglot.ast.TypeNode tn, java.util.List<polyglot.ast.Expr> arguments, polyglot.ast.ClassBody body, polyglot.ast.Ext ext)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<polyglot.types.Type>` | `throwTypes(polyglot.types.TypeSystem ts)` Deprecated.
    `polyglot.ast.Node` | `typeCheck(polyglot.visit.TypeChecker tc)` Deprecated.
    `polyglot.visit.NodeVisitor` | `typeCheckEnter(polyglot.visit.TypeChecker tc)` Deprecated.

    - ### Methods inherited from class polyglot.ast.New_c

      `acceptCFG, anonType, anonType, anonType, arguments, arguments, arguments, body, body, body, buildTypes, buildTypesEnter, childExpectedType, constructorInstance, constructorInstance, constructorInstance, copy, disambiguate, disambiguateOverride, enterChildScope, exceptionCheck, extRewrite, extRewriteEnter, findEnclosingClass, findQualifiedTypeNode, findQualifier, firstChild, isQualifierImplicit, objectType, objectType, objectType, precedence, prettyPrint, printArgs, printBody, printQualifier, printShortObjectType, procedureInstance, qualifier, qualifier, qualifier, qualifierImplicit, qualifierImplicit, reconstruct, toString, typeCheckFlags, typeCheckFlags, typeCheckNested, typeCheckOverride, visitChildren`

    - ### Methods inherited from class polyglot.ast.Expr_c

      `booleanValue, byteValue, charValue, constantValue, constantValue, constantValueSet, constantValueSet, doubleValue, dump, floatValue, intValue, isConstant, isConstant, isTypeChecked, lastLang, longValue, printSubExpr, printSubExpr, shortValue, stringValue, type, type, type`

    - ### Methods inherited from class polyglot.ast.Term_c

      `exceptions, exceptions, exceptions, listChild, reachable, reachable, reachable`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, checkConstants, copy, copy, copyIfNeeded, del, del, disambiguateEnter, dump, dump, dump, dump, enterScope, error, error, error, exceptionCheckEnter, ext, ext, ext, ext, extRewriteOverride, isDisambiguated, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, translate, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.New

      `anonType, anonType, arguments, arguments, body, body, constructorInstance, constructorInstance, isQualifierImplicit, objectType, objectType, qualifier, qualifier, qualifierImplicit`

    - ### Methods inherited from interface polyglot.ast.Expr

      `constantValue, constantValueSet, isConstant, precedence, printSubExpr, printSubExpr, type`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, translate, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.ast.Typed

      `type`

    - ### Methods inherited from interface polyglot.ast.ProcedureCall

      `procedureInstance`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`

    - ### Methods inherited from interface polyglot.ast.ExprOps

      `constantValue, constantValueSet, isConstant`

- - ### Constructor Detail

    - #### JifNew_c

          public JifNew_c(polyglot.util.Position pos,
                          polyglot.ast.Expr outer,
                          polyglot.ast.TypeNode tn,
                          java.util.List<polyglot.ast.Expr> arguments,
                          polyglot.ast.ClassBody body)

      Deprecated.

    - #### JifNew_c

          public JifNew_c(polyglot.util.Position pos,
                          polyglot.ast.Expr outer,
                          polyglot.ast.TypeNode tn,
                          java.util.List<polyglot.ast.Expr> arguments,
                          polyglot.ast.ClassBody body,
                          polyglot.ast.Ext ext)

      Deprecated.

  - ### Method Detail

    - #### typeCheckEnter

          public polyglot.visit.NodeVisitor typeCheckEnter(polyglot.visit.TypeChecker tc)
                                                    throws polyglot.types.SemanticException

      Deprecated.
      Specified by:
        `typeCheckEnter` in interface `polyglot.ast.NodeOps`
      Overrides:
        `typeCheckEnter` in class `polyglot.ast.Node_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### typeCheck

          public polyglot.ast.Node typeCheck(polyglot.visit.TypeChecker tc)
                                      throws polyglot.types.SemanticException

      Deprecated.
      Specified by:
        `typeCheck` in interface `polyglot.ast.NodeOps`
      Overrides:
        `typeCheck` in class `polyglot.ast.New_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### throwTypes

          public java.util.List<polyglot.types.Type> throwTypes(polyglot.types.TypeSystem ts)

      Deprecated.
      Specified by:
        `throwTypes` in interface `polyglot.ast.NodeOps`
      Overrides:
        `throwTypes` in class `polyglot.ast.New_c`